package de.tu_darmstadt.tk.SmartHomeNetworkSim.core;

/**
 * Virtual network packet, that can be sent, collected, dumped and edited
 * @author Andreas T. Meyer-Berg
 */
public abstract class Packet {

	/**
	 * 
	 * @return Byte representation of the current packet
	 */
	public abstract Byte[] dumpBytes();
	

	/**
	 * 
	 * @return Textual Representation of the Package
	 */
	public abstract String getTextualRepresentation();
	
	/**
	 * 
	 * @return Textual Representation of the Package
	 */
	public abstract String getPayload();
}
