package de.tu_darmstadt.tk.SmartHomeNetworkSim.core;

import java.util.Collection;

/**
 * Interface for collection/capturing of packets
 * 
 * @author Andreas T. Meyer-Berg
 */
public interface PacketSniffer {

	/**
	 * Add packets, that were sent
	 * @param received
	 */
	public void addPackets(Collection<Packet> received);
	
	/**
	 * Returns the Packets, that were sent.
	 * @return
	 */
	public Collection<Packet> getPackets();
}
